summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/switch-branch7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/switch-branch b/scripts/switch-branch
index b2cd407..3890334 100755
--- a/scripts/switch-branch
+++ b/scripts/switch-branch
@@ -1,10 +1,17 @@
#!/bin/sh
set -e
+if [ x"$1" = "x" ]; then
+ echo "Need a component name."
+ exit 1
+fi
+
mkdir -p config
FILENAME="branch-$1"
BRANCH="$2"
echo "$BRANCH" > config/"$FILENAME"
+scripts/"$1"-clean
+
echo "Run ./rebuild to update the source and to compile the selected branch."